unit SendFax;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FaxServer;

type
  TformSendFax = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    DocToSendEdit: TEdit;
    PhoneNumber: TEdit;
    CoverPageCheckBox: TCheckBox;
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formSendFax: TformSendFax;

implementation

uses Main;

{$R *.DFM}

procedure TformSendFax.Button1Click(Sender: TObject);
Var
   doc: TFaxDocument;
begin
   doc := formMain.FaxServer.CreateFaxDocument;
   doc.FileName := DocToSendEdit.Text;
   doc.RecipientNumber := PhoneNumber.Text;
   doc.DocumentName := 'aa';

   if CoverPageCheckBox.Checked then
      doc.Send(formMain.FaxCoverPage)
   else
      doc.Send(nil);
end;

end.
